<template>
  <div :class="['flexJob-card-top-wrapper', size]">
    <UserAvatar :size="size === 'small' ? 50 : 60" class="flexJob-card-top-avatar" />
    <div class="flexJob-card-top-info">
      <div class="flexJob-card-top-info-item">
        <div class="flexJob-card-top-info-name">{{ '洋洋' }}</div>
        <div class="flexJob-card-top-info-gender">
          <img v-if="1" :src="IconMale" class="flexJob-card-top-info-gender-icon" />
          <img v-else :src="IconFemale" class="flexJob-card-top-info-gender-icon" />
        </div>
        <div class="flexJob-card-top-info-auth">{{ '已实名' }}</div>
      </div>
      <div class="flexJob-card-top-info-detail">{{ '26岁 | 非学生 | 本科 | 上岗121次' }}</div>
    </div>
  </div>
</template>

<script setup lang="ts">
import IconMale from '@/assets/mine/icon-male.png';
import IconFemale from '@/assets/mine/icon-female.png';

defineOptions({
  name: 'FlexJobTopView',
});

type Props = {
  size?: 'normal' | 'small';
};

const props = withDefaults(defineProps<Props>(), {
  size: 'normal',
});
</script>

<style lang="scss">
@import '@/styles/common.scss';

.flexJob-card-top-wrapper {
  display: flex;
  align-items: center;

  .flexJob-card-top-avatar {
    margin-right: 30px;
  }

  .flexJob-card-top-info {
    display: flex;
    flex-direction: column;

    .flexJob-card-top-info-item {
      display: flex;
      align-items: center;

      .flexJob-card-top-info-name {
        font-size: 34px;
        line-height: 34px;
        font-weight: bold;
        color: boleGetCssVar('text-color', 'primary');
      }

      .flexJob-card-top-info-gender {
        display: inline-flex;
        align-items: center;
        height: 34px;
        margin: 0 10px;

        .flexJob-card-top-info-gender-icon {
          width: 24px;
          height: 24px;
        }
      }

      .flexJob-card-top-info-auth {
        font-size: 28px;
        line-height: 34px;
      }
    }

    .flexJob-card-top-info-detail {
      font-size: 24px;
      font-weight: 400;
      line-height: 28px;
      margin-top: 12px;
      color: boleGetCssVar('text-color', 'secondary');
    }
  }
}
</style>
